Summary:	TDB - Trivial Database
Summary(pl.UTF-8):	TDB - prosta baza danych
Name:		tdb
Version:	1.4.10
Release:	1
Epoch:		2
License:	LGPL v3+
Group:		Libraries
Source0:	https://www.samba.org/ftp/tdb/%{name}-%{version}.tar.gz
# Source0-md5:	66b8963f820d296de840cb6114decd7f
URL:		https://tdb.samba.org/
BuildRequires:	docbook-style-xsl-nons
BuildRequires:	libbsd-devel
BuildRequires:	libxslt-progs
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.507
Obsoletes:	tdb-extras < 1.1
# tdb 1.4+ dropped python2 suport
Obsoletes:	python-tdb < 2:1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TDB is a Trivial Database. In concept, it is very much like GDBM, and
BSD's DB except that it allows multiple simultaneous writers and uses
locking internally to keep writers from trampling on each other. TDB
is also extremely small.

%description -l pl.UTF-8
TDB to Trivial Database, czyli prosta baza danych. W założeniach jest
bardzo podobna do GDBM lub DB z BSD z wyjątkiem tego, że pozwala na
zapis wielu procesom jednocześnie i używa wewnętrznie blokowania, aby
nie pozwolić piszącym na zadeptanie się nawzajem. TDB jest ponadto
ekstremalnie mała.

%package devel
Summary:	Header files for TDB library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki TDB
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	tdb-static < 2:1.2

%description devel
Header files for TDB library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki TDB.

%package -n python3-tdb
Summary:	Python 3 bindings for TDB
Summary(pl.UTF-8):	Interfejs Pythona 3 do TDB
Group:		Libraries/Python
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	python3-libs >= 1:3.2

%description -n python3-tdb
Python 3 bindings for TDB.

%description -n python3-tdb -l pl.UTF-8
Interfejs Pythona 3 do TDB.

%prep
%setup -q

%build
export JOBS=1

CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
PYTHONHASHSEED=1 \
%{__python3} buildtools/bin/waf configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-rpath

%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%triggerpostun -p /sbin/postshell -- tdb < 2:1.2.9-2
-rm -f %{_libdir}/libtdb.so.1
/sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{README,mutex.txt,tracing.txt}
%attr(755,root,root) %{_bindir}/tdbbackup
%attr(755,root,root) %{_bindir}/tdbdump
%attr(755,root,root) %{_bindir}/tdbrestore
%attr(755,root,root) %{_bindir}/tdbtool
%attr(755,root,root) %{_libdir}/libtdb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtdb.so.1
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man8/tdbdump.8*
%{_mandir}/man8/tdbrestore.8*
%{_mandir}/man8/tdbtool.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtdb.so
%{_includedir}/tdb.h
%{_pkgconfigdir}/tdb.pc

%files -n python3-tdb
%defattr(644,root,root,755)
%attr(755,root,root) %{py3_sitedir}/tdb.cpython-*.so
%{py3_sitedir}/_tdb_text.py
%{py3_sitedir}/__pycache__/_tdb_text.cpython-*.py[co]
%changelog
* Mon Apr 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tdb.git;a=log;h=master

* Tue Apr 02 2024 Jan Palus <atler@pld-linux.org> 45e6f9f
- up to 1.4.10

* Thu Jul 20 2023 Jan Palus <atler@pld-linux.org> 40cff71
- up to 1.4.9

* Thu Mar 16 2023 Jan Palus <atler@pld-linux.org> 029a60b
- BR: docbook-style-xsl-nons

* Wed Mar 15 2023 Jan Palus <atler@pld-linux.org> ef6ee84
- BR: python3-modules for %py3_*comp and BR: libxslt-progs for man pages

* Wed Mar 15 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fd8dcf
- Up to 1.4.8

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 79776c8
- Release 2 (by relup.sh)

* Sat Sep 10 2022 Jakub Bogusz <qboosh@pld-linux.org> dc00f57
- updated to 1.4.7

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f431668
- rebuild with python 3.10

* Fri Mar 04 2022 Jakub Bogusz <qboosh@pld-linux.org> 7aff8a1
- versioned Obsoletes

* Mon Feb 14 2022 Jakub Bogusz <qboosh@pld-linux.org> d7bc63f
- updated to 1.4.6

* Sun Aug 29 2021 Jakub Bogusz <qboosh@pld-linux.org> 9846671
- updated to 1.4.5
- versioned Obsoletes

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 909cac3
- release 2 (by relup.sh)

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 04d135b
- BR: libbsd-devel

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> f4227ec
- updated URL and macros version

* Mon Dec 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ef78904
- up to 1.4.3

* Sun Nov 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 8a70221
- cleanup, python2 comment

* Mon Nov 04 2019 Jan Rękorajski <baggins@pld-linux.org> 67c6dfa
- added O for dropped python package
- rel 2

* Wed Oct 30 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 41ea2b3
- up to 1.4.2 (python2 support dropped with release 1.4.0)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> d740d51
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Mar 13 2019 Jakub Bogusz <qboosh@pld-linux.org> b68854e
- updated to 1.3.18
- added python3- package

